package org.project.entity;

public interface Entity {
    void attack(Entity target);
    void LightAttack (Entity target , int base_damage) ;

    void defend(Entity me ,  int damage);

    String getName() ;

    void heal(int health);

    void fillMana(int mana);

    void takeDamage(int damage);

    int getMaxHP();

    int getMaxMP();

    boolean ISLive() ;

    /*
    TODO: ADD OTHER REQUIRED AND BONUS METHODS
    */
}
